@import "../../sass/partials/variables";
@import "../../sass/partials/classes";
@import "../../sass/partials/mixins";

.login-main {
  width: 576px;
  height: 598px;
  background-color: white;
  margin: auto;
  border-radius: 8px;
  border: 1px solid #efefef;
  padding: 48px;
}
.login-text {
  color: $color__blue;
  padding: 10px;
  font-size: 5rem;
}

.login__getstarted__text {
  color: #18186b;
  font-size: 3rem;
  font-weight: 600;
}

.already__have__account__text {
  font-size: 1rem;
  font-weight: 600;
  color: #7a7c7f;
}

.login__text {
  // color: $color__blue;
  color: $color__blue;
  cursor: pointer;
}

.login__label__text {
  color: #2b2b2b;
  font-weight: 600;
  font-size: 0.813rem;
}

.forgot__password__text {
  color: #7a7c7f;
  font-weight: 600;
  font-size: 0.813rem;
  margin: 0 0 0 0;
  text-decoration: underline;
  cursor: pointer;
}

.create__webx__id__btn {
  color: white;
  border: none;
  // background: $color__blue;
  background: $color__blue;
  font-size: 1rem;
  font-weight: 600;
  border-radius: 4px;
  height: 48px;
  margin: 16px 0 0 0;
}

.login__input {
  @include input($height: 48px);
}

.login__input:focus {
  border: 1.5px solid $color__blue;
  outline: 1.5px solid $color__blue;
}

.terms__n__services__text {
  color: #7a7c7f;
  font-size: 0.813rem;
  margin: 16px 0 0 0;
}

.help__icon__parent {
  top: 12px;
  right: 15px;
  bottom: 15px;
}

.help__icon {
  color: #7a7c7f;
  cursor: pointer;
}

.test-btn {
  @include buttons($border: hotpink);
}

// `xs` returns only a ruleset and no media query
// ... { ... }

// `sm` applies to x-small devices (portrait phones, less than 576px)
@media (max-width: 575.98px) {
  .login-main {
    width: 276px;
    // height: 298px;
    height: fit-content;
    // background-color: white;
    // margin: auto;
    // border-radius: 8px;
    // border: 1px solid #efefef;
    padding: 15px;
  }
  .login__getstarted__text {
    // padding: 10px;
    font-size: 2rem;
  }
  .already__have__account__text {
    font-size: 0.9rem;
  }
  .terms__n__services__text {
    font-size: 0.613rem;
    margin: 8px 0 0 0;
  }
  .create__webx__id__btn {
    // color: white;
    // border: none;
    // background: $color__blue;
    // background: $color__blue;
    // font-size: 1rem;
    // font-weight: 600;
    // border-radius: 4px;
    // height: 48px;
    margin: 8px 0 0 0;
  }
}

// `md` applies to small devices (landscape phones, less than 768px)
@media (max-width: 767.98px) {
}

// `lg` applies to medium devices (tablets, less than 992px)
@media (max-width: 991.98px) {
}

// `xl` applies to large devices (desktops, less than 1200px)
@media (max-width: 1199.98px) {
}

// `xxl` applies to x-large devices (large desktops, less than 1400px)
@media (max-width: 1399.98px) {
}
